diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/basic-energy-harvester.h ns-3.43/src/energy/model/basic-energy-harvester.h
--- ns-3.42/src/energy/model/basic-energy-harvester.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/basic-energy-harvester.h	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2014 Wireless Communications and Networking Group (WCNG),
  * University of Rochester, Rochester, NY, USA.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Cristiano Tapparello <cristiano.tapparello@rochester.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/basic-energy-source.cc ns-3.43/src/energy/model/basic-energy-source.cc
--- ns-3.42/src/energy/model/basic-energy-source.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/basic-energy-source.cc	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
  */
@@ -37,7 +26,8 @@
 BasicEnergySource::GetTypeId()
 {
     static TypeId tid =
-        TypeId("ns3::BasicEnergySource")
+        TypeId("ns3::energy::BasicEnergySource")
+            .AddDeprecatedName("ns3::BasicEnergySource")
             .SetParent<EnergySource>()
             .SetGroupName("Energy")
             .AddConstructor<BasicEnergySource>()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/basic-energy-source.h ns-3.43/src/energy/model/basic-energy-source.h
--- ns-3.42/src/energy/model/basic-energy-source.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/basic-energy-source.h	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/device-energy-model.cc ns-3.43/src/energy/model/device-energy-model.cc
--- ns-3.42/src/energy/model/device-energy-model.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/device-energy-model.cc	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
  */
@@ -32,7 +21,10 @@
 TypeId
 DeviceEnergyModel::GetTypeId()
 {
-    static TypeId tid = TypeId("ns3::DeviceEnergyModel").SetParent<Object>().SetGroupName("Energy");
+    static TypeId tid = TypeId("ns3::energy::DeviceEnergyModel")
+                            .AddDeprecatedName("ns3::DeviceEnergyModel")
+                            .SetParent<Object>()
+                            .SetGroupName("Energy");
     return tid;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/device-energy-model-container.cc ns-3.43/src/energy/model/device-energy-model-container.cc
--- ns-3.42/src/energy/model/device-energy-model-container.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/device-energy-model-container.cc	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008 INRIA
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  *          Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/device-energy-model-container.h ns-3.43/src/energy/model/device-energy-model-container.h
--- ns-3.42/src/energy/model/device-energy-model-container.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/device-energy-model-container.h	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008 INRIA
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  *          Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/device-energy-model.h ns-3.43/src/energy/model/device-energy-model.h
--- ns-3.42/src/energy/model/device-energy-model.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/device-energy-model.h	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/energy-harvester.cc ns-3.43/src/energy/model/energy-harvester.cc
--- ns-3.42/src/energy/model/energy-harvester.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/energy-harvester.cc	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2014 Wireless Communications and Networking Group (WCNG),
  * University of Rochester, Rochester, NY, USA.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Cristiano Tapparello <cristiano.tapparello@rochester.edu>
  */
@@ -33,7 +22,10 @@
 TypeId
 EnergyHarvester::GetTypeId()
 {
-    static TypeId tid = TypeId("ns3::EnergyHarvester").SetParent<Object>().SetGroupName("Energy");
+    static TypeId tid = TypeId("ns3::energy::EnergyHarvester")
+                            .AddDeprecatedName("ns3::EnergyHarvester")
+                            .SetParent<Object>()
+                            .SetGroupName("Energy");
     return tid;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/energy-harvester.h ns-3.43/src/energy/model/energy-harvester.h
--- ns-3.42/src/energy/model/energy-harvester.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/energy-harvester.h	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2014 Wireless Communications and Networking Group (WCNG),
  * University of Rochester, Rochester, NY, USA.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Cristiano Tapparello <cristiano.tapparello@rochester.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/energy-source.cc ns-3.43/src/energy/model/energy-source.cc
--- ns-3.42/src/energy/model/energy-source.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/energy-source.cc	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
  *
@@ -37,7 +26,10 @@
 TypeId
 EnergySource::GetTypeId()
 {
-    static TypeId tid = TypeId("ns3::EnergySource").SetParent<Object>().SetGroupName("Energy");
+    static TypeId tid = TypeId("ns3::energy::EnergySource")
+                            .AddDeprecatedName("ns3::EnergySource")
+                            .SetParent<Object>()
+                            .SetGroupName("Energy");
     return tid;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/energy-source.h ns-3.43/src/energy/model/energy-source.h
--- ns-3.42/src/energy/model/energy-source.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/energy-source.h	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/generic-battery-model.cc ns-3.43/src/energy/model/generic-battery-model.cc
--- ns-3.42/src/energy/model/generic-battery-model.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/generic-battery-model.cc	2024-10-09 16:41:09.872655900 -0700
@@ -3,18 +3,7 @@
  * Copyright (c) 2023 Tokushima University, Japan:
  * NiMh,NiCd,LeaAcid batteries and preset and multicell extensions.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Andrea Sacco <andrea.sacco85@gmail.com>
  *         Alberto Gallegos Ramonet <alramonet@is.tokushima-u.ac.jp>
@@ -42,7 +31,8 @@
 GenericBatteryModel::GetTypeId()
 {
     static TypeId tid =
-        TypeId("ns3::GenericBatteryModel")
+        TypeId("ns3::energy::GenericBatteryModel")
+            .AddDeprecatedName("ns3::GenericBatteryModel")
             .SetParent<EnergySource>()
             .SetGroupName("Energy")
             .AddConstructor<GenericBatteryModel>()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/generic-battery-model.h ns-3.43/src/energy/model/generic-battery-model.h
--- ns-3.42/src/energy/model/generic-battery-model.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/generic-battery-model.h	2024-10-09 16:41:09.872655900 -0700
@@ -3,18 +3,7 @@
  * Copyright (c) 2023 Tokushima University, Japan:
  * NiMh,NiCd,LeaAcid batteries and preset and multi-cell extensions.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Andrea Sacco <andrea.sacco85@gmail.com>
  *         Alberto Gallegos Ramonet <alramonet@is.tokushima-u.ac.jp>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/li-ion-energy-source.cc ns-3.43/src/energy/model/li-ion-energy-source.cc
--- ns-3.42/src/energy/model/li-ion-energy-source.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/li-ion-energy-source.cc	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Andrea Sacco
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Andrea Sacco <andrea.sacco85@gmail.com>
  */
@@ -39,7 +28,8 @@
 LiIonEnergySource::GetTypeId()
 {
     static TypeId tid =
-        TypeId("ns3::LiIonEnergySource")
+        TypeId("ns3::energy::LiIonEnergySource")
+            .AddDeprecatedName("ns3::LiIonEnergySource")
             .SetParent<EnergySource>()
             .SetGroupName("Energy")
             .AddConstructor<LiIonEnergySource>()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/li-ion-energy-source.h ns-3.43/src/energy/model/li-ion-energy-source.h
--- ns-3.42/src/energy/model/li-ion-energy-source.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/li-ion-energy-source.h	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Andrea Sacco
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Andrea Sacco <andrea.sacco85@gmail.com>
  */
@@ -36,9 +25,6 @@
  * \ingroup energy
  * \brief Model a generic Lithium Ion Battery basing on [1][2].
  *
- * \deprecated The LiIonEnergySource was deprecated in ns-3.40 in favor of GenericBatteryModel, and
- * will be removed in a future release.
- *
  * The model can be fitted to any type of Li-Ion Battery, simply changing the
  * model parameters.
  * The default values are fitted for the Panasonic CGR18650DA Li-Ion Battery [3].
@@ -76,9 +62,15 @@
  * Generic Battery Model for the Dynamic Simulation of Hybrid Electric Vehicles," Ecole de
  * Technologie Superieure, Universite du Quebec, 2007 [3]
  * http://www.panasonic.com/industrial/includes/pdf/Panasonic_LiIon_CGR18650DA.pdf
- *
+
  */
-class LiIonEnergySource : public EnergySource
+// clang-format off
+class
+NS_DEPRECATED_3_40("The LiIonEnergySource was deprecated in ns-3.40 "
+                   "in favor of GenericBatteryModel, and will be removed "
+                   "in a future release.")
+LiIonEnergySource : public EnergySource
+// clang-format on
 {
   public:
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/rv-battery-model.cc ns-3.43/src/energy/model/rv-battery-model.cc
--- ns-3.42/src/energy/model/rv-battery-model.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/rv-battery-model.cc	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
  */
@@ -39,7 +28,8 @@
 RvBatteryModel::GetTypeId()
 {
     static TypeId tid =
-        TypeId("ns3::RvBatteryModel")
+        TypeId("ns3::energy::RvBatteryModel")
+            .AddDeprecatedName("ns3::RvBatteryModel")
             .SetParent<EnergySource>()
             .SetGroupName("Energy")
             .AddConstructor<RvBatteryModel>()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/rv-battery-model.h ns-3.43/src/energy/model/rv-battery-model.h
--- ns-3.42/src/energy/model/rv-battery-model.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/rv-battery-model.h	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Network Security Lab, University of Washington, Seattle.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sidharth Nabar <snabar@uw.edu>, He Wu <mdzz@u.washington.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/simple-device-energy-model.cc ns-3.43/src/energy/model/simple-device-energy-model.cc
--- ns-3.42/src/energy/model/simple-device-energy-model.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/simple-device-energy-model.cc	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Andrea Sacco
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Andrea Sacco <andrea.sacco85@gmail.com>
  */
@@ -36,7 +25,8 @@
 TypeId
 SimpleDeviceEnergyModel::GetTypeId()
 {
-    static TypeId tid = TypeId("ns3::SimpleDeviceEnergyModel")
+    static TypeId tid = TypeId("ns3::energy::SimpleDeviceEnergyModel")
+                            .AddDeprecatedName("ns3::SimpleDeviceEnergyModel")
                             .SetParent<DeviceEnergyModel>()
                             .SetGroupName("Energy")
                             .AddConstructor<SimpleDeviceEnergyModel>()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/model/simple-device-energy-model.h ns-3.43/src/energy/model/simple-device-energy-model.h
--- ns-3.42/src/energy/model/simple-device-energy-model.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/model/simple-device-energy-model.h	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Andrea Sacco
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Andrea Sacco <andrea.sacco85@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/test/basic-energy-harvester-test.cc ns-3.43/src/energy/test/basic-energy-harvester-test.cc
--- ns-3.42/src/energy/test/basic-energy-harvester-test.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/test/basic-energy-harvester-test.cc	2024-10-09 16:41:09.872655900 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2014 Wireless Communications and Networking Group (WCNG),
  * University of Rochester, Rochester, NY, USA.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Cristiano Tapparello <cristiano.tapparello@rochester.edu>
  */
@@ -68,8 +57,8 @@
 BasicEnergyHarvesterTestCase::DoRun()
 {
     // set types
-    m_energySource.SetTypeId("ns3::BasicEnergySource");
-    m_energyHarvester.SetTypeId("ns3::BasicEnergyHarvester");
+    m_energySource.SetTypeId("ns3::energy::BasicEnergySource");
+    m_energyHarvester.SetTypeId("ns3::energy::BasicEnergyHarvester");
     // create node
     Ptr<Node> node = CreateObject<Node>();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/energy/test/li-ion-energy-source-test.cc ns-3.43/src/energy/test/li-ion-energy-source-test.cc
--- ns-3.42/src/energy/test/li-ion-energy-source-test.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/energy/test/li-ion-energy-source-test.cc	2024-10-09 16:41:09.872655900 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Andrea Sacco
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Andrea Sacco <andrea.sacco85@gmail.com>
  */
@@ -27,6 +16,18 @@
 using namespace ns3;
 using namespace ns3::energy;
 
+// NS_DEPRECATED_3_43() - tag for future removal
+// LiIonEnergySource was deprecated in commit
+// https://gitlab.com/nsnam/ns-3-dev/-/commit/086913b0
+//
+// The new battery model is illustrated in
+// `src/energy/examples/generic-battery-discharge-example.cc`
+//
+// A GenericBatteryModelTestCase is being developed in MR 2181
+// https://gitlab.com/nsnam/ns-3-dev/-/merge_requests/2181
+// which will be in
+// `src/energy/test/generic-battery-model-test.cc`
+
 NS_LOG_COMPONENT_DEFINE("LiIonEnergySourceTestSuite");
 
 /**
@@ -61,7 +62,10 @@
     m_node = CreateObject<Node>();
 
     Ptr<SimpleDeviceEnergyModel> sem = CreateObject<SimpleDeviceEnergyModel>();
+
+    NS_WARNING_PUSH_DEPRECATED;
     Ptr<LiIonEnergySource> es = CreateObject<LiIonEnergySource>();
+    NS_WARNING_POP;
 
     es->SetNode(m_node);
     sem->SetEnergySource(es);
